org.apache.hadoop.yarn.api.records.impl.pb

## Class ProtoBase<T extends com.google.protobuf.Message>

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<T>

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class ProtoBase<T extends com.google.protobuf.Message>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtoBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ByteBuffer` | `convertFromProtoFormat(com.google.protobuf.ByteString byteString)`
    `protected com.google.protobuf.ByteString` | `convertToProtoFormat(ByteBuffer byteBuffer)`
    `boolean` | `equals(Object other)`
    `abstract T` | `getProto()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtoBase

          public ProtoBase()

  - ### Method Detail

    - #### getProto

          public abstract T getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### convertFromProtoFormat

          protected final ByteBuffer convertFromProtoFormat(com.google.protobuf.ByteString byteString)

    - #### convertToProtoFormat

          protected final com.google.protobuf.ByteString convertToProtoFormat(ByteBuffer byteBuffer)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.